Mailinglist Archive: opensuse-bugs (4227 mails)

< Previous Next >
[Bug 1016992] Virtualization:containers/docker: Bug
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sun, 01 Jan 2017 11:38:13 +0000
  • Message-id: <bug-1016992-21960-otfGdv3AZH@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1016992
http://bugzilla.opensuse.org/show_bug.cgi?id=1016992#c8

--- Comment #8 from Aleksa Sarai <asarai@xxxxxxxx> ---
I've not had problems upgrading before, and preserving the existing
containers is a *must* - I don't want to have to recreate my containers when
I upgrade (and in the past, I haven't had to do that).

Sorry, I was thinking "out loud". I didn't mean to alarm you, I was just
thinking of reasons why you might get such a weird error message (it doesn't
make sense because our setup was never in a state where you would get that
error).

v | docker | package | 1.12.5-171.1
| x86_64 | Virtualization:containers

I just manually extracted this version and it looks like it should have all the
necessary fixes. I'm also currently using the same package source (though I'm
on Tumbleweed) and everything works... Can you please provide the following:

1. The *exact* error message you get (and what command caused it).
2. The contents of /etc/sysconfig/docker and
/usr/lib/systemd/system/docker.service.
3. The logs from docker (journalctl -u docker.service).
4. Whether there is a symlink called /usr/bin/docker-runc and what it points
to.


It would be very useful if you remember modifying any of the above files.
Thanks.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >